#!/bin/sh
STR="/tmp/service_result_message"

echo "Деинсталяция дополнительных видео кодеков" > "$STR"

DEST="/persistfs"
if mount | grep "$DEST" ; 
then
    echo "Info: Системный накопитель найден ($DEST/codecpack)" >> "$STR"
else
    DEST="/D"
    if mount | grep "$DEST" ; 
	then
        echo "Info: USB носитель найден ($DEST/codecpack)" >> "$STR"
    else
        echo "Error: Ни системный накопитель, ни внешний USB носитель не найдены!" >> "$STR"
		exit 1
    fi
fi
echo -n " Удаление кодека: " >> "$STR"		
if [ -d "$DEST/codecpack" ]; then
    # removing codec
    rm -rf "$DEST/"codecpack
	echo "Info: Кодек удачно удалён OK" >> "$STR"
else
	echo "Info: Кодек не найден" >> "$STR"
fi	
# stop & start service
kill `ps -A | grep httpd | grep 81`
echo -n " Удаление скрипта для сервера: " >> "$STR"	
BOOTRTMP="/config/boot/rtmpboot.sh"
if [ ! -x "BOOTRTMP" ]; then
     # removing script
     rm -rf $BOOTRTMP
     echo "Info: Старт скрипт удачно удалён OK" >> "$STR"
else
     echo "Info: Старт скрипт не найден" >> "$STR"	 
fi
exit 0