<?php

class SettingManager
{
    private $service_status = null;
    private $auto_loading = 'no';
    private $current_usb = null;
    private $v; // localization vocabulary

    public function __construct() {
        
        $this->v = new BTLocalization();
    }

    public function init(&$plugin_cookies) {
        $this->load_values_from_cookies($plugin_cookies);

    }

    private function load_values_from_cookies(&$plugin_cookies) {
        if (isset($plugin_cookies->auto_loading)) {
            $this->auto_loading = $plugin_cookies->auto_loading;
        }
    }

    public function save_values_to_cookies(&$plugin_cookies) {
        $plugin_cookies->auto_loading = $this->auto_loading;
    }
}
